# discord-embeds-pages-buttons
Embed pages using the discord buttons.

This package allows you to have multiple pages of embeds, and to be able to cycle through them using auto-generated buttons.  

To install the package, use the following command in the console/terminal/shell.

`npm i discord-embeds-pages-buttons`

Here is some example code for using the package:
      
      const Discord = require("discord.js");
      
      const disbut = require("discord-buttons");
      
      const disbutpages = require("discord-embeds-pages-buttons")
      
      const client = new Discord.Client();
      
      disbut(client);
      
      client.login(process.env.token)
      
      client.on("ready", ()=>{
      console.log("I am ready")
      })
      
      client.on("message", async message=>{
      if(message.author.bot || message.channel.type == "dm")return;
      if(message.content == "test"){
        const embed1 = new Discord.MessageEmbed()
        .setColor("YELLOW")
        .setTitle("1")
        
        const embed2 = new Discord.MessageEmbed()
        .setColor("GREEN")
        .setTitle("2")
        
        const embed3 = new Discord.MessageEmbed()
        .setColor("PINK")
        .setTitle("3")
        
        var pages = [embed1, embed2, embed3]
        "
        disbutpages.pages(message, pages, {
          timeout: 60*1000,
            buttons: {
                delete: {
                    style: "red",
                    emoji: "❌",
                    text: "Delete"
                },
                forward: {
                    style: "green",
                    emoji: "⏩",
                    text: "Forward"
                },
                backward: {
                    style: "green",
                    emoji: "⏪",
                    text: "Backward"
                }
            },
            extraRows: [],
            extraPos: "below",
            message: "",
            ephemeral: "You do not own this embed!"
        })
      }
    })

**Functions**

There is one function in this package.

**disbutpages.pages(message, pages, settings)**

**Message:**
This is the message that the person sent.

**Pages:**
This is an array of Discord.MessageEmbed()

**Settings:**
This is a JSON of settings.

  *timeout:* The number of milliseconds before the bot stops responding to the embed. \[Required, Default Value: 60*10000]

  *buttons:* A JSON of button data. See the above example for all settings regarding buttons. \[Required, Default Values can be seen in the example above.]

  *extraRows:* An array of MessageActionRow that will be displayed with the buttons, their position depending on the following setting. Useful for having a bot invite button in a help embed. (Set to false to disable) \[Optional, Default Value: \[]]

  *extraPos:* A string to determine where the extra rows should be added. Valid values: "above", "below". \[Optional, Default Value: "below"]

  *message:* A string that will be sent above the embed. (Set to false to disable). \[Optional, Default Value: ""]

  *ephemeral:* A string that will be privately sent to the user in the text channel. (Set to false to disable). \[Optional, Default Value: "You do not own this embed!"]

# Support

Join the discord for support and for other packages/discord bots:

https://discord.gg/u9gFdnu